import { AlertDialog, Button } from "native-base";

export const ConfirmDialog = (props: { isShown: boolean, headerText?: string, bodyText?: string, confirmText?: string, confirmColor?: string, cancelRef?: any, onClose?: any, onSubmit?: any }): JSX.Element => (
    <>
        {props.isShown &&
            <AlertDialog leastDestructiveRef={props.cancelRef} isOpen={true} onClose={props.onClose}>
                <AlertDialog.Content>
                    <AlertDialog.CloseButton />
                    <AlertDialog.Header>{props.headerText}</AlertDialog.Header>
                    {props.bodyText &&
                        <AlertDialog.Body>
                            {props.bodyText}
                        </AlertDialog.Body>
                    }
                    <AlertDialog.Footer>
                        <Button.Group space={2}>
                            <Button variant="unstyled" colorScheme="coolGray" onPress={props.onClose} ref={props.cancelRef}>
                                Cancel
                            </Button>
                            <Button colorScheme={props.confirmColor} onPress={props.onSubmit}>
                                {props.confirmText}
                            </Button>
                        </Button.Group>
                    </AlertDialog.Footer>
                </AlertDialog.Content>
            </AlertDialog>}
    </>

)